@import "../../../assets/styles/main.scss";

.footer {
  color: getColorHex("white");
  background-image: url(https://stagecdn.waosim.com/landingpage/assets/footer-bg-img.png);
  background-position: center;
  padding-bottom: 20px;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 9;
  position: relative;

  .footer_inner_section {
    display: grid;
    grid-template-columns: 32% 18% 25% 25%;
    gap: 24px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.23);
    padding: 170px 0px 30px;
    @include xxl {
      gap: 15px;
    }
    @include xl {
      grid-template-columns: 35% 20% 20% 25%;
    }
    @include lg {
      gap: 10px;
      grid-template-columns: 37% 17% 18% 26%;
    }
    .footer_column_1 {
      .brand_logo_main {
        img {
          width: 148px;
          @include lg {
            width: 110px;
          }
        }
      }
      .footer_description {
        padding: 30px 0px;
      }
      .footer_follow_us {
        h1 {
          font-size: 24px;
          @include inter700;
        }
      }
      .social_link {
        padding: 30px 0px;
        ul {
          padding: 0px;
          margin: 0;
          li {
            display: inline-block;
            margin-right: 10px;
            max-width: 40px;
          }
        }
      }
    }
    .card_round_item {
      width: 40px !important;
      height: 40px;
    }
    .footer_column_2 {
      ul {
        li {
          display: inline-block;
          margin-right: 10px;
        }
      }
    }

    .footer_column_4 {
      .more_info {
        padding: 37px 0px;
      }
      .footer_payment_card {
        display: flex;
        gap: 7px;
        width: 100%;
        margin-bottom: 7px;
        .payment_card {
          border-radius: 10px;
          border: 1px solid #272727;
          background: rgba(0, 0, 0, 0.5);
          width: 54.328px;
          height: 35px;
          padding: 0px 10px;
          @include vertical_align_center;
        }
      }
    }
    p {
      color: getColorHex("silver");
      font-size: 14px;
      line-height: 27px;
      @include lg {
        font-size: 12px;
      }
    }
    .footer_heading {
      h2 {
        color: getColorHex("orange");
        font-size: 24px;
        @include inter700;
        line-height: 27px;
        padding-bottom: 30px;
        @include xl {
          font-size: 20px;
        }
        @include lg {
          font-size: 18px;
        }
      }
    }
    .footer_link {
      a {
        width: fit-content;
        display: block;
        p {
          padding-bottom: 10px;

          &:hover {
            color: getColorHex("orange");
            transition: 0.3s ease-in-out;
          }
        }
      }
    }
  }
  .footer_copy_right {
    padding: 31px 0px 30px 0px;
    p {
      color: getColorHex("white");
      font-size: 16px;
      line-height: 27px;
      text-align: center;
    }
  }
}
